clan-infra/targets/admins/tf.sh

20 lines
384 B
Bash
Raw Normal View History

2023-07-04 15:23:29 +00:00
#!/usr/bin/env bash
set -euo pipefail
rm -f .terraform.lock.hcl
if grep -q .sops terraform.tfstate; then
sops -i -d terraform.tfstate
2023-07-13 15:47:35 +00:00
if [[ -f secrets.auto.tfvars.json ]]; then
sops -d secrets.auto.tfvars.json > secrets.auto.tfvars
exit 1
fi
2023-07-04 15:23:29 +00:00
fi
cleanup() {
sops -i -e terraform.tfstate
2023-07-13 15:47:35 +00:00
rm -f secrets.auto.tfvars
2023-07-04 15:23:29 +00:00
}
2023-07-13 15:47:35 +00:00
2023-07-04 15:23:29 +00:00
trap "cleanup" EXIT
terraform init
terraform "$@"